You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@jena.apache.org by an...@apache.org on 2015/01/05 21:15:49 UTC

[2/2] jena git commit: Move to core module

Move to core module


Project: http://git-wip-us.apache.org/repos/asf/jena/repo
Commit: http://git-wip-us.apache.org/repos/asf/jena/commit/35ef84f1
Tree: http://git-wip-us.apache.org/repos/asf/jena/tree/35ef84f1
Diff: http://git-wip-us.apache.org/repos/asf/jena/diff/35ef84f1

Branch: refs/heads/master
Commit: 35ef84f1b1e36ccffb18996c7338a93fbb946e29
Parents: c06e720
Author: Andy Seaborne <an...@apache.org>
Authored: Mon Jan 5 20:15:40 2015 +0000
Committer: Andy Seaborne <an...@apache.org>
Committed: Mon Jan 5 20:15:40 2015 +0000

----------------------------------------------------------------------
 jena-fuseki2/fuseki-dev                   | 77 --------------------------
 jena-fuseki2/jena-fuseki-core/fuseki-dev  | 77 ++++++++++++++++++++++++++
 jena-fuseki2/jena-fuseki-core/make_cp_mvn | 50 +++++++++++++++++
 jena-fuseki2/make_cp_mvn                  | 50 -----------------
 4 files changed, 127 insertions(+), 127 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/jena/blob/35ef84f1/jena-fuseki2/fuseki-dev
----------------------------------------------------------------------
diff --git a/jena-fuseki2/fuseki-dev b/jena-fuseki2/fuseki-dev
deleted file mode 100755
index d82c726..0000000
--- a/jena-fuseki2/fuseki-dev
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/usr/bin/env bash
-
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-## Run Fuseki, include development code if it looks like it's available.
-
-function check_dir() {
-    local NAME="$1"
-    local DIR="$2"
-    if [ ! -e "$DIR" ]
-    then
-	echo "$NAME: '$DIR' does not exist" 1>&2
-	exit 1
-    fi
-    if [ ! -d "$DIR" ]
-    then
-	echo "$NAME: '$DIR' exists but is not a directory" 1>&2
-    exit 1
-    fi
-}
-
-export FUSEKI_HOME="${FUSEKI_HOME:-$PWD}"
-check_dir "FUSEKI_HOME" "$FUSEKI_HOME"
-
-export FUSEKI_BASE="${FUSEKI_BASE:-$FUSEKI_HOME/run}"
-check_dir "FUSEKI_BASE" "$FUSEKI_BASE"
-
-CPF="$FUSEKI_HOME/fuseki.classpath"
-
-if [ ! -e "$CPF" ]; then
-    echo "Need to create Fuseki classpath file"
-    exit 1
-fi
-
-CP="$(. $CPF)"
-
-# Add development directories.
-if [ -e "$FUSEKI_HOME/classes" ]
-then
-    CP="$FUSEKI_HOME/classes:$CP"
-elif [ -e "$FUSEKI_HOME/target/classes" ]
-then
-    CP="$FUSEKI_HOME/target/classes:$CP"
-fi
-
-# Prepend any development directories here
-DEVDIRS="jena-core jena-tdb jena-arq jena-text"
-for X in $DEVDIRS
-do
-    CPX="$FUSEKI_HOME/../$X/target/classes"
-    if [ -e "$CPX" ]
-    then
-	CP="$CPX:$CP"
-    fi
-done
-
-FUSEKI_LOG="" #${FUSEKI_LOG:-}
-JVM_ARGS="${JVM_ARGS:--Xmx1200M}"
-
-exec java -cp "$CP" $JVM_ARGS $FUSEKI_LOG org.apache.jena.fuseki.cmd.FusekiCmd "$@"
-
-# Run as war file.
-# java -jar jetty-runner.jar fuseki-server.war

http://git-wip-us.apache.org/repos/asf/jena/blob/35ef84f1/jena-fuseki2/jena-fuseki-core/fuseki-dev
----------------------------------------------------------------------
diff --git a/jena-fuseki2/jena-fuseki-core/fuseki-dev b/jena-fuseki2/jena-fuseki-core/fuseki-dev
new file mode 100755
index 0000000..d82c726
--- /dev/null
+++ b/jena-fuseki2/jena-fuseki-core/fuseki-dev
@@ -0,0 +1,77 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+## Run Fuseki, include development code if it looks like it's available.
+
+function check_dir() {
+    local NAME="$1"
+    local DIR="$2"
+    if [ ! -e "$DIR" ]
+    then
+	echo "$NAME: '$DIR' does not exist" 1>&2
+	exit 1
+    fi
+    if [ ! -d "$DIR" ]
+    then
+	echo "$NAME: '$DIR' exists but is not a directory" 1>&2
+    exit 1
+    fi
+}
+
+export FUSEKI_HOME="${FUSEKI_HOME:-$PWD}"
+check_dir "FUSEKI_HOME" "$FUSEKI_HOME"
+
+export FUSEKI_BASE="${FUSEKI_BASE:-$FUSEKI_HOME/run}"
+check_dir "FUSEKI_BASE" "$FUSEKI_BASE"
+
+CPF="$FUSEKI_HOME/fuseki.classpath"
+
+if [ ! -e "$CPF" ]; then
+    echo "Need to create Fuseki classpath file"
+    exit 1
+fi
+
+CP="$(. $CPF)"
+
+# Add development directories.
+if [ -e "$FUSEKI_HOME/classes" ]
+then
+    CP="$FUSEKI_HOME/classes:$CP"
+elif [ -e "$FUSEKI_HOME/target/classes" ]
+then
+    CP="$FUSEKI_HOME/target/classes:$CP"
+fi
+
+# Prepend any development directories here
+DEVDIRS="jena-core jena-tdb jena-arq jena-text"
+for X in $DEVDIRS
+do
+    CPX="$FUSEKI_HOME/../$X/target/classes"
+    if [ -e "$CPX" ]
+    then
+	CP="$CPX:$CP"
+    fi
+done
+
+FUSEKI_LOG="" #${FUSEKI_LOG:-}
+JVM_ARGS="${JVM_ARGS:--Xmx1200M}"
+
+exec java -cp "$CP" $JVM_ARGS $FUSEKI_LOG org.apache.jena.fuseki.cmd.FusekiCmd "$@"
+
+# Run as war file.
+# java -jar jetty-runner.jar fuseki-server.war

http://git-wip-us.apache.org/repos/asf/jena/blob/35ef84f1/jena-fuseki2/jena-fuseki-core/make_cp_mvn
----------------------------------------------------------------------
diff --git a/jena-fuseki2/jena-fuseki-core/make_cp_mvn b/jena-fuseki2/jena-fuseki-core/make_cp_mvn
new file mode 100755
index 0000000..193876b
--- /dev/null
+++ b/jena-fuseki2/jena-fuseki-core/make_cp_mvn
@@ -0,0 +1,50 @@
+#!/usr/bin/env perl
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Make the maven classpath
+
+$POM="pom.xml" ;
+$POM = @ARGV[0] if ( defined(@ARGV[0]) ) ;
+
+if ( ! -e "$POM" )
+{
+    print STDERR "No POM file: $POM\n" ;
+    exit 1 ;
+}
+$M2=$ENV{'M2_REPO'} ;
+print "#!/bin/bash\n" ;
+print "\n" ;
+print 'XCP="' ;
+
+open(X, "mvn -f $POM dependency:build-classpath -DincludeScope=runtime |") ;
+while(<X>)
+{
+    next if /\[INFO\]/ ;
+    next if /^Download/ ;
+    chop ;
+    #s!$M2/org/apache/jena/jena-[^/]*/[^/]*/[^/]*.jar:!!g ;
+    print "$_" ;
+}
+print "\"\n" ;
+print "\n" ;
+
+print "if [ \"\$CP\" != \'\' ]\n" ;
+print "then\n" ;
+print "   XCP=\"\$CP:\$XCP\"\n" ;
+print "fi\n" ;
+print "\n" ;
+print "echo \"\$XCP\"\n"

http://git-wip-us.apache.org/repos/asf/jena/blob/35ef84f1/jena-fuseki2/make_cp_mvn
----------------------------------------------------------------------
diff --git a/jena-fuseki2/make_cp_mvn b/jena-fuseki2/make_cp_mvn
deleted file mode 100755
index 193876b..0000000
--- a/jena-fuseki2/make_cp_mvn
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/usr/bin/env perl
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-# Make the maven classpath
-
-$POM="pom.xml" ;
-$POM = @ARGV[0] if ( defined(@ARGV[0]) ) ;
-
-if ( ! -e "$POM" )
-{
-    print STDERR "No POM file: $POM\n" ;
-    exit 1 ;
-}
-$M2=$ENV{'M2_REPO'} ;
-print "#!/bin/bash\n" ;
-print "\n" ;
-print 'XCP="' ;
-
-open(X, "mvn -f $POM dependency:build-classpath -DincludeScope=runtime |") ;
-while(<X>)
-{
-    next if /\[INFO\]/ ;
-    next if /^Download/ ;
-    chop ;
-    #s!$M2/org/apache/jena/jena-[^/]*/[^/]*/[^/]*.jar:!!g ;
-    print "$_" ;
-}
-print "\"\n" ;
-print "\n" ;
-
-print "if [ \"\$CP\" != \'\' ]\n" ;
-print "then\n" ;
-print "   XCP=\"\$CP:\$XCP\"\n" ;
-print "fi\n" ;
-print "\n" ;
-print "echo \"\$XCP\"\n"